Skip to navigation

Get RunSchema by ID

Beta
Get a single RunSchema by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

run_schema_idstringRequired
ID of the RunSchema.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
allowCreateRunFromNotebookboolean or nullOptional
Whether new runs belonging to this schema can be created from the notebook
allowInsertRunFromInboxboolean or nullOptional
Whether runs belonging to this schema can be inserted in the notebook from the Run Inbox
archiveReasonstring or nullOptional
If the Run is archived, reason for archiving
archivedbooleanOptional
Whether the Run is archived
automationInputFileConfigsstringOptionalformat: "uri"
Configurations for automation input generators on this run
automationOutputFileConfigsstringOptionalformat: "uri"
Configurations for automation output processors on this run
createdAtstring or nullOptional
fieldDefinitionsstringOptionalformat: "uri"
Defines the metadata fields for runs belonging to this schema
idstringOptional
modifiedAtstring or nullOptional
DateTime the Run Schema was last modified
namestringOptional
Name of the Run Schema
organizationobject or nullOptional
Organization the Run Schema belongs to
shouldRecordEquipmentbooleanOptional
Whether runs belonging to this schema should record equipment or not
systemNamestring or nullOptional
Name for this schema in the Data Platform. For example, the name of the warehouse table is derived from the systemName.

Errors

400
Run Schema Get Request Bad Request Error
403
Run Schema Get Request Forbidden Error
404
Run Schema Get Request Not Found Error
429
Run Schema Get Request Too Many Requests Error
500
Run Schema Get Request Internal Server Error